Get generation
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.phaseo.app/v1/generations \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/generations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.phaseo.app/v1/generations")
.header("Authorization", "Bearer <token>")
.asString();
{
"created_at": "2023-11-07T05:31:56Z",
"request_id": "<string>",
"team_id": "<string>",
"app_id": "<string>",
"endpoint": "<string>",
"model_id": "<string>",
"provider": "<string>",
"native_response_id": "<string>",
"stream": true,
"byok": true,
"status_code": 123,
"success": true,
"error_code": "<string>",
"error_message": "<string>",
"latency_ms": 123,
"generation_ms": 123,
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
},
"cost_nanos": 123,
"currency": "<string>",
"pricing_lines": [
{}
],
"key_id": "<string>",
"throughput": 123,
"replay_supported": true,
"replay_request": {}
}{
"ok": true,
"error": "<string>",
"reason": "<string>"
}{
"ok": true,
"error": "<string>"
}Generations
Get a generation
Retrieve a specific generation by ID.
GET
/
generations
Get generation
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phaseo.app/v1/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Fetches the stored audit record for a given
request_id that belongs to your team.
Use:
GET /v1/generations?id=<request_id>
replay_supported: whether a replay-ready payload is availablereplay_request: the stored request body you can send back to the original endpoint for a controlled rerun
- Read the generation record with
GET /v1/generations?id=<request_id>. - Check
replay_supported === true. - Re-submit
replay_requestto the original endpoint named byendpointsuch as/v1/chat/completionsor/v1/responses.
Authorizations
Bearer token authentication
Query Parameters
The ID of the generation
Response
Generation data
Show child attributes
Show child attributes
Whether a replay-ready request payload is available for this generation.
Replay-ready request payload captured for this generation when available.
Last modified on July 26, 2026
Was this page helpful?